SIP 410 Gone: o que significa e como resolver
Resposta curta: SIP 410 Gone significa que o destino não está mais disponível naquele servidor e não há endereço de encaminhamento conhecido, numa condição considerada permanente. Na telefonia, quase sempre é um número desativado, cancelado ou trocado. Confirme com o dono do número se ele ainda está ativo e atualize o cadastro ou a rota para o número novo.
| Código | 410 |
|---|---|
| Nome oficial | Gone |
| Classe | 4xx: falha da requisição |
| Definido em | RFC 3261 |
| Causas Q.850 que costumam vir junto | 22 (Number changed), 23 (Redirection to new destination) |
Como o Monitor trata o SIP 410
A leitura depende do que deve atender o número, a pergunta que a 2N5 responde ao cadastrar cada circuito. Estas são as regras que o produto aplica hoje, geradas da mesma função que julga cada chamada de teste.
| O que deve atender o número | Leitura |
|---|---|
| Uma saudação ou mensagem gravada (a URA) | Fora do ar |
| Um tom de teste ou serviço de eco | Fora do ar |
| Outro: pode tocar ou ser atendido | Fora do ar |
O que o Monitor registra para uma URA: A operadora recusou a chamada: o número não está mais em serviço (SIP 410).
Uma chamada lida como Fora do ar não alerta ninguém sozinha: ela é repetida 3 vezes, a cada 2 minutos, e só 4 falhas seguidas abrem um incidente, com o código SIP e a causa Q.850 de cada chamada como evidência para a operadora. No ritmo padrão, cada circuito é testado a cada 15 minutos.
Se a operadora devolve o SIP 410 ao registro da conta de chamadas da 2N5, antes de qualquer chamada, o teste fica sem visibilidade: é um problema do lado da 2N5, não conta contra o circuito e não avisa o cliente.
O que significa o SIP 410 na prática?
Pela RFC 3261, o SIP 410 Gone indica que o recurso pedido não está mais disponível no servidor e que não se conhece endereço de encaminhamento. A condição deve ser considerada permanente. Se o servidor não sabe se a condição é permanente, a RFC manda usar o SIP 404 no lugar.
Num tronco telefônico, o erro 410 SIP normalmente quer dizer “este número existia e deixou de existir”. É mais específico que o 404 e por isso menos comum: muitas redes respondem 404 ou tocam um aviso gravado mesmo quando o número foi desativado. Quando o 410 aparece, vale tratar como um sinal forte de mudança cadastral, e não como falha passageira de rede. Repetir a chamada não muda o resultado.
Causas comuns no Brasil
- Linha fixa ou celular cancelado pelo assinante e ainda não realocado a outro cliente.
- 0800 ou número de serviço desativado em migração de contrato ou de operadora.
- Número trocado pela empresa, com o antigo ainda cadastrado em agendas, URAs ou regras do PABX.
- DID de entrada removido do tronco, mas ainda divulgado ou ainda presente em encaminhamentos de outros sistemas.
- Ramal excluído num PABX Asterisk, Issabel, FreePBX, 3CX ou Intelbras configurado para responder 410 a usuários removidos.
Como diagnosticar
- Capture com
sngrep port 5060e confira se a resposta é mesmo410 Gonee se há headerReason: Q.850;cause=22(RFC 6432). - No Asterisk ou FreePBX, ative
pjsip set logger on(ousip set debug onno chan_sip) e veja de qual servidor veio o 410: da operadora ou de um PABX mais adiante. - Ligue para o mesmo número a partir de outra linha, de preferência de outra operadora, para confirmar que o resultado se repete.
- Verifique se o número não está escrito errado no PABX ou na regra de saída: um dígito trocado pode levar a um número antigo desativado.
- No 3CX, ative o “Verbose logging” e confira o número exato enviado ao tronco.
- Se o número é seu, consulte a operadora que o detém sobre o status da linha e a data de alteração.
O que mandar para a operadora
- Data e hora com fuso horário das tentativas.
- Número de origem (A) e número chamado (B), como enviados no INVITE.
- Call-ID de pelo menos uma chamada.
- A linha completa da resposta 410 e o header Reason com a causa Q.850, se houver.
- Desde quando o número deixou de completar e quantas tentativas falharam.
- O pcap da captura, quando disponível.
Perguntas frequentes
Um número que recebe 410 pode voltar a funcionar?
Pode, mas não sozinho. O 410 indica uma condição que o servidor considera permanente, como o cancelamento da linha. Ele só volta a completar se o número for reativado ou realocado. Se o 0800 ou o número da sua empresa recebe 410, fale com a operadora que detém o número: ele pode ter sido cancelado por engano ou numa migração.
Que causa Q.850 acompanha o 410?
Pela RFC 3398, a Q.850 cause 22 (Number changed) sem número novo informado é convertida em 410, assim como a cause 23 (Redirection to new destination). Quando a rede informa o número novo, a cause 22 vira 301 Moved Permanently, com o número novo no header Contact. No sentido inverso, um 410 vira cause 22.